Bug 253739 - multimedia/librespot: Take maintainership, revive and update to 1.6
Summary: multimedia/librespot: Take maintainership, revive and update to 1.6
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: --- Affects Only Me
Assignee: Fernando Apesteguía
URL: https://github.com/librespot-org/libr...
Keywords:
Depends on:
Blocks:
 
Reported: 2021-02-21 08:37 UTC by Dries Michiels
Modified: 2021-02-23 12:17 UTC (History)
1 user (show)

See Also:


Attachments
librespot.diff (53.08 KB, patch)
2021-02-21 08:37 UTC, Dries Michiels
no flags Details | Diff
librespot.diff (53.62 KB, patch)
2021-02-22 17:13 UTC, Dries Michiels
no flags Details | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description Dries Michiels 2021-02-21 08:37:23 UTC
The port was previously marked as broken, update to latest version.
Comment 1 Dries Michiels 2021-02-21 08:37:51 UTC
Created attachment 222696 [details]
librespot.diff

librespot.diff
Comment 2 Fernando Apesteguía freebsd_committer 2021-02-22 12:50:21 UTC
0.1.6 is out.

Would you like to update to that version?
Comment 3 Dries Michiels 2021-02-22 17:13:51 UTC
Created attachment 222728 [details]
librespot.diff

Update to 1.6.0
Comment 4 Fernando Apesteguía freebsd_committer 2021-02-23 07:25:27 UTC
Thanks for the update.

Just FYI, we can remove PORTREVISION since we are bumping PORTVERSION. No need to upload a new patch.
Comment 5 Dries Michiels 2021-02-23 12:11:05 UTC
Indeed! Forgot to delete that -_-
Comment 6 Fernando Apesteguía freebsd_committer 2021-02-23 12:17:02 UTC
Committed,

Thanks!
Comment 7 commit-hook freebsd_committer 2021-02-23 12:17:21 UTC
A commit references this bug:

Author: fernape
Date: Tue Feb 23 12:16:54 UTC 2021
New revision: 566393
URL: https://svnweb.freebsd.org/changeset/ports/566393

Log:
  multimedia/librespot: Undeprecate and update to 1.6

  ChangeLog: https://github.com/librespot-org/librespot/releases/tag/v0.1.6

  Submitter becomes maintainer. Already maintainer for other ports

  PR:	253739
  Submitted by:	driesm.michiels@gmail.com

Changes:
  head/multimedia/librespot/Makefile
  head/multimedia/librespot/Makefile.crates
  head/multimedia/librespot/distinfo